QGIS Application - Bug report #12856

format_number with negative argument causes error

2015-06-01 07:50 AM - Jochen Huber

Status: Closed
Priority: Low
Assignee:

Category: Expressions

Affected QGIS version:2.8.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 20949

Description

When using "format_number" in an expression to format labels, entering a negative value for the number of decimals causes QGIS not to

respond for some time until it displays the error "bad allocation”.

Ideally, format_number would allow negative values to be able to round to whole tens, hundreds etc. like "round()" does. At least an error

should be displayed immediately and with a meaningful message.

History

#1 - 2015-06-02 08:06 AM - Saber Razmjooei
- Resolution set to fixed/implemented

- OS version deleted (Windows 7 Prof. x64)

- Operating System deleted (Windows)

- Status changed from Open to Feedback

It should work fine now in master. | think this is the patch commit:518072e9

#2 - 2015-06-05 09:26 AM - Saber Razmjooei
- Status changed from Feedback to Closed

Works for me. Feel free to reopen if still having problem.
